Find a Drain by id
GET
https://api.vercel.com/v1/drains/{id}Get the information for a specific Drain by passing the drain id in the URL.
https://api.vercel.com/v1/drains/{id}
const response = await fetch('https://api.vercel.com/v1/drains/id?teamId=string&slug=string', { method: 'GET', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', },});
const data = await response.json();console.log(data);Response
{ "createdAt": "123", "delivery": { "compression": "gzip", "encoding": "json", "endpoint": "string", "headers": "value", "secret": "string", "type": "http" }, "disabledAt": "123", "disabledBy": "string", "disabledReason": "account-plan-downgrade", "firstErrorTimestamp": "123", "id": "icfg_1234567890", "name": "Example Name", "ownerId": "example_id", "projectIds": [], "sampling": [ { "env": "preview", "rate": "123", "requestPath": "string", "type": "head_sampling" } ], "schemas": { "ai_gateway": "value", "analytics": "value", "audit_log": "value", "connect": "value", "log": "value", "speed_insights": "value", "trace": "value" }, "source": { "defaultFor": "eve-tracing", "kind": "self-served" }, "status": "disabled", "teamId": "example_id", "updatedAt": "123", "filterV2": { "filter": { "deployment": { "environments": [] }, "log": { "legacy_excludeCachedStaticAssetLogs": "false", "sources": [] }, "project": { "ids": [] }, "type": "basic" }, "version": "v2" }}AuthorizationbearerToken
Default authentication mechanism
200Success
400One of the provided values in the request query is invalid.
401The request is not authorized.
403You do not have permission to access this resource.
404Error
410Error